OSSN - OPEN SOURCE SOCIAL NETWORK v7.6
- [B] Logo upload failed #2369
- [B] Reset logo if no logo set before causing error #2368
- [E] Update phpmailer

OSSN - OPEN SOURCE SOCIAL NETWORK v7.5
- [B] Editing user giving error, the email already existing (admin panel) #2364

OSSN - OPEN SOURCE SOCIAL NETWORK v7.4
- [E] OssnNotification autocheck if undefined causing page unresponsive

OSSN - OPEN SOURCE SOCIAL NETWORK v7.3
- [B] Wall is not visible for group member (other than creator) #2340
- [B] OssnMessages image attachment broken if invalid file name #2339
- [B] undefined array key "somekey" in file /var/www/libraries/ossn.lib.image.php (line 83) #2338
- [E] profile cover album , thumbnail is distorted #2337
- [E] Perform users edit using custom method instead of plain database->update() #2336
- [B] URL with a special character in a comment post #2332
- [B] OssnFile:output doesn't recognize setMimeTypes by component #2331
- [B] strl showing wrong characters effected by #2257 #2325
- [E] Hide message view on xs devices on message view page #2323
- [B] countByYears result in admin panel showing wrong years + limit query to 2 years #2320
- [B] Show chat bottom on large screens only lg (not md) #2321
- [E] Show current search query inside search box on search page #2328
- [B] Goblue 6.4 checkbox (checked) display corrupted #2330
- [B] Replace col-md with lg #2322
- [E] .ossn-box-loading not in center #2342
- [E] Configure able autocheck OssnNotifications #2329
- [E] Allow selection on multiple users on the unvalidated list current page #2319
- [E] Session locking issue #2343
- [B] When fixing #2305 we missed groups cover error handling #2346
- [E] Revert of old #1436 as its never used anywhere #2345
- [E] DynamicCaching usage #2335
- [E] checkboxes check on label click #2348
- [E] Fix the distorted 404 error page #2353
- [B] Disorted frontpage icons #2352
- [B] Truncated placeholder text in friends tagger #2351
- [B] Transparency change of emoji overlay after editing posts/comments #2350
- [E] Improvement to checkboxes #2357
- [E] Mark radio boxes required if not checked #2359
- [E] OssnBlock allows blocking of moderators #2358
- [E] Allow rumble embed URL support #2362


OSSN - OPEN SOURCE SOCIAL NEWORK  v7.2
- [B] non-UTF8 chars in 3 language files of Goblue #2298
- [B] Message send form not showing #2314
- [E] Add ids in components and themes lists item so can be utilized later #2313
- [B] Add accept types on file input messages #2311
- [E] Fetch annotation entities in sperate method #2312
- [E] Fetch annotation entities in sperate method #2312
- [B] Message attachment file namev (output url) needs changes #2310
- [B] online friends being removed from Chat tab #2309
- [B] Cover reposition issue due to layout updates in past #2305
- [B] usage of unavailable font-family in Goblue #2301
- [B] missing declaration of $members in group profile #2307
- [E] Changing logo should add timestamp to invalidate cache #2302
- [B] Theme language strings not cached #2299
- [E] callback for theme before and after load #2299
- [E] allow to modify default username length using hook #2304

OSSN - OPEN SOURCE SOCIAL NEWORK  v7.1
- [B] Command to replace slash to backslash missing in vendors/jwt/autoload.php #2274
- [B] ossn_is_from_cli is returning true on non-cli #2262
- [B] Unaccepted friend appears in getFriends #2265
- [B] OssnPhotos::getPhoto should not return other file types #2272
- [B] hide group members and subpages for private groups #2276
- [B] Tinymce lists and bullets missing from topbar #2267
- [E] OssnNotifications check new one on mark all as read #2266
- [E] Default search result type confusing #2279
- [E] improve username invalid message #2273
- [B] Emojis shows entities in trimmed message notification #2257
- [E] Remove /register page what is it doing? #2270
- [E] Add max-height in .ossn-wall-item .post-contents img #2259
- [E] Don't open the last message in messages/all #2283
- [E] Allow attachment of image in message without text #2268
- [E] Bootstrap badges have blue on however should be same color #2269
- [E] output/user/url should have data-username #2284
- [E] remove Ossn.Viewer js #2286
- [E] Fontawesome 5.x to 6.x #2285
- [B] Message typing UI bug for OSSN chat #2288
- [E] Show only online members in Chat #2287
- [B] OssnChat showing only 10 users #2263
- [E] Add option to trigger manually messagebox/overlay box #2277
- [E] Merge Hungarian langauge #2289
- [E] phpmailer update #2292
- [E] new zip mime type #2293
- [E] Improve installation script #2294
- [E] Add style to checkboxes #2291

OSSN - OPEN SOURCE SOCIAL NETWORK v7.0
* [B] fix allowing to display profile modules with priority < 200 #2211
* [B] User existence check #2222
* [E] Add fancybox into core as external lib #2234
* [E] Unload OssnChat on Messages pages #2236
* [B] searchMessages viewed option doesn't work #2235
* [B] OssnUser::getFriends([any wheres]) ignoring actual wheres resulting wrong result #2228
* [B] Albums gallery thumbs showing wrong URL even it works #2225
* [E] Update chart js library #2220
* [E] jQueryUI 1.12.1 CVE*2021*41184 critical RCE vulnerability #2219
* [E] typo OssnMail::NotifiyUser #2224
* [E] Where does OssnComponents::bundledComponents() used? #2210
* [E] Improvement in messages and chat,  allow you to upload file and image in message.
* [E] Chat and Messages UI improved. Messages layout made bigger and remove chat from messages page.
* [E] typo OssnMail::NotifiyUser #2224
* [E] Update php version checking to version compare (installation) #2221
* [B] Image in advertisement stays in cache #2229
* [E] Add checkmarks in recent messages #2237
* [E] input/dropdown allow option values to set class, id etc #2239
* [E] Dynamic properties PHP 8.2 deprecated notice #2238
* [E] File sizes error not showing on profile photo/cover upload #2243
* [E] Unknown offset on OssnFile #2240
* [E] Users list make btn*sm #2214
* [B] OssnChat shows only 10 friends in sidebar #2227
* [E] prevent loading language files of disabled components #2192
* [E] Improve OssnUser method getFriendRequests #2217
* [E] OssnAds remove link in view #2242
* [B] Undefined errors in CLI #2248
* [E] Make similes box in center of page with some background effect #2250
* [E] Add notification email name in settings #2251
   - Sometime you don't want to show website name in notification email ,  so this will change sender name in the notification emails.
* [E] Add a copyrights settings instead of site name #2252
   - Someone requested that they want to change copyright but not the site name. So this will let to change copyrgiht text only (no url).
* [E] cdnStorage component disabled but settings enabled #2255
* [E] Remove any blank spaces from the username field #2249 thanks to Rafael Amorim (https://github.com/rafaelmamorim)

OSSN - OPEN SOURCE SOCIAL NETWORK v6.6
* [E] output/user/url to profile cover , photos, albums wall template #2205
* [B] Fix for wrong component installer link #2209
* [B] Ossn 6.5 crashes if OssnLocation is disabled #2207
* [E] UI .ossn-users-list-item .uinfo a width to maxwidth #2206

OSSN - OPEN SOURCE SOCIAL NETWORK v6.5 
* [B] Emoji problem introduced in 6.4 #2186
* [E] taking care of Upper case file extensions #2185
* [B] Installation not throwing mysql errors #2183
* [B] wrong adjustmment of ossn-like-reactions-panel in mobile view #2189
* [E] Disable admin to change his own type on user edit page (admin panel) #2182
* [E] prevent loading language files of disabled components #2192
* [B] With php 8 return type searchFiles not returing count #2199
* [B] incompatibilty of Ossn 6.4 wall post storage and display with former Ossn releases #2187
* [B] Places service has been sunsetted #2184
* [E] Add a filetype block when user try upload video file into OssnWall #2191
* [B] Covers and profile photos not showing pagination #2198
* [E] Upgraded to BS5.2.2 from BS5.2.0-beta1
* [E] Add plugin for user/output_url #2193
* [B] Apache config being rewritten if modified by cpanel #2179
* [B] fix for not working comment delete on entities #2201
* [E] Enhance friends picker because now getFriends searched via OssnUser instance #2202
* [E] admin_topbar and admin_sidemenu text setting via ossn_register_menu_item #2200
* [E] Change name fields into max 30 chars each #2203
* [E] Don't load js if it is not set.

OSSN - OPEN SOURCE SOCIAL NETWORK v6.4 LTS
* [B] Comment object menu not showing comment menu #2168
* [B] XSS vulnerability in OssnWall #2173
* [B] Same Friends tag flooding #2175
* [B] Bug in ossn_get_relationships when setting only 'from' #2170
* [E] Enhanced, getFriends make sure it returns relation_id in field list #2171 #2149
* [B] Multiple css js loaded if multiple ossn_load_js(css) #2169
* [E] Show like menu on priority 1

OSSN - OPEN SOURCE SOCIAL NETWORK v6.3 LTS
* [B] deleting profile photo gives error on iconURL() #2166
* [B] deleting profile cover gives error on coverURL() #2166

OSSN - OPEN SOURCE SOCIAL NETWORK v6.2
* [E] Allow all callables for extend view #2024
* [E] avoiding unnecessary handling of extra space at comment start #2029
* [B] skip friend access check if page visitor is not logged in #2037
* [B] User can not comment on friend only, own album photo #2039
* [B] OssnSounds missing the button for sound on/off #2032
* [E] Make sure addUser also run isEmail validation #2022
* [E] Multiple select (html) handler #2040
* [B] jqueryui-datepicker fails on Google translated pages #2036
* [B] ossn_delete_relationship recursive not working #2035
* [E] add a new function ossn_get_relation_by_id() #2034
* [B] UI add friend success text goes wrong position #2027
* [E] update version and pre-requisite OssnEmbed #2045
* [B] fixed unallowed <div> inside paragraph again #2044
* [E] load css for video in <span> #2043
* [E] make video visible in <span> #2042
* [E] Add provided by giphy footer or banner #2049
* [E] Correction of term 'miinutos' to 'minutos' #2048
* [E] CLI + cron library and documentation on community #2050
* [B] fixed calling unavailable/mistyped function #2051
* [E] OssnMail 'email', 'send:policy' 3rd parameter #2052
* [E] [E] optimized getMyGroups() #2071
* [E] optimized OssnGroup::isMember() #2070
* [E] optimized OssnGroup::getMembersRequests() #2069
* [E] optimized group join-requests counter #2067
* [E] PHP8 prevent bool->guid warnings #2058
* [B] fixed missing error handler for not existing subpages #2055
* [E] Add confirmation before deleting photos #2073
* [E] Enhance group menu entries in sidebar #2072
* [B] PHP8 If deleted comments tried to be deleted again #2057
* [B] OssnNotification if poster and owner is same participants hook never run #2053
* [B] Fix the like:object view menu type introduced in #1868 #2081
* [E] Replace translation PT #2079 #2075
* [E] Improve mod_rewrite CURL functionality #2078
* [B] fixed use of undefined variable $object #2084
* [E] Some small locale fixes. #2087
* [B] PHP Warning: preg_match(): Compilation failed (#2018). #2086
* [B] fix creating incomplete wall entities if addPhoto() fails #2088
* [B] prevent warning if $fields is false #2137 #2136 #2135
* [E] Update PHP version to minimum 8 #2061
* [B] Comment Static photo should have only filename no fullpath #2090
* [B] No notification to participants if someone comments on profile photo , cover, album photo #2054
* [B] jqueryui-datepicker fails on Google translated pages #2036
* [E] Removal of old upgrade scripts #2085
* [E] Enhance OssnFile and Include CDN option #2089
* [E] fixed different 'readonly' colors #2134
* [B] missing check if member has a cover image #2093
* [E] some installation warnings #2018
* [E] don't list unvalidated members #2144
* [B] Multiple clicks on same action add member multiple times in group #2147
* [B] col-xs not anymore with BS5 #2017
* [E] Remove php5 apache config and update post and upload sizes #2033
* [E] Stop rewriting .htaccess every time page loads during installation #2091
* [B] Deleting a group should remove group:joinrequest records #2066
* [E] Enable linkifying of Entity comments #2080
* [B] wrong class extending in all input plugins #2146
* [E] Ossn::File MaxSize() add UploadMaxSize #2148
* [B] getting orphan notification records of type comments:post:group:wall #2060
* [E] isModerator (for groups) in comments section also. #2025
* [E] Added OssnJWT class based on firebase/JWT
* [E] Updated cacert.pem
* [E] Updated PHP MAILER to 6.6.0
* [B] Pagination not responsive #2150
* [E] Show components in admin panel in ASC order of their installation #2155
* [E] Component delete confirmation if wanted to keep settings. #2152
* [T] OssnUser::getFriends() #2149
* [B] Pagination not responsive #2150
* [B] btn-sm have no effect #2153
* [B] missing checkbox-block span style #2145
* [B] Non logged in visitor can view private posts #2158
* [B] OssnChat default value showing 0 in class #2163
* [E] Request for new user image classes defining the shape only #2143
* [B] Post background not breaking if str > 125 chars #2164

Special Thanks to Michael Zülsdorff (aka Zetman) (https://www.opensource-socialnetwork.org/u/zetman) for testing and bug reporting, fixing.

OSSN - OPEN SOURCE SOCIAL NETWORK v6.1
* [B] Undefined array key "HTTP_HOST #2012
* [B] Admin menus issues not appearing on mobile phone #2015
* [B] PHP 8 Warnings #2014
* [B] BS5 js file cached during upgrade #2016

OSSN - OPEN SOURCE SOCIAL NETWORK v6.0
* [B] Make pagination work on photo album overview page #1838 #1840
* [B] input/radio didn't accept 0 as value #1848
* [B] input/checkbox not getting any label #1849
* [E] prevent script error if hook doesn't exist
* [E] Move to JQuery 3.x #1874
* [E] Move to JQuery UI latest version #1873
* [E] Move to latest boostrap  #1872
* [E] There should be callback to delete entity likes, comments by default #1877
* [E] Like Comment on object #1868
* [E] Separate frontend/backend JS #1867
* [B] changed encoding to utf-8 #1880
* [B] changed encoding to utf-8 #1879
* [B] changed encoding to utf-8 #1878
* [B] preserve exact <br>\n sequence after editing #1860
* [B] preserve exact <br>\n sequence after editing #1859
* [E] ossn.en.php Improve and correct grammar mistakes #1862
* [B] New Message missing message id in div ... id='message-item-'
* [E] OssnPhotos -> Fancybox issue and feature request #1858
* [B] img js ossn_cache cause duplicate requests #1886
* [E] don't show empty value genders in graphs #1887
* [B] Wall site crash when mentioning members under certain conditions. #1865
* [E] Check user existence before sending message #1883
* [E] Made it compitable with php 8
* [E] Make user external CSS/JS loaded once if load func used twice #1890
* [E] Avoid ossn_cache to append on already ossn_cache imgs #1891
* [B] CSSMin didn't minify data:image type svg #1889
* [E] Remove unused CSS minify code from older OSSN #1892
* [E] Return xhr object on post and ajaxrequest #1909
* [B] Group header menu shows multiple more #1888
* [E] prevent creating groups with undefined membership #1916
* [E] replaced getObjectsByTypes() by searchObject()
* [E] removal of obsolete getObjectsByTypes() #1926
* [E] removal of unused getGroups() #1925
* [E] removed dominant comment-box padding #1944
* [B] OssnPagination::constructUrlArgs() not taking non alphanumeric chars #1974
* [E] Check the OssnEmbed for videos links issues #1957
* [E] Add hook for wall, getAllPosts
* [E] Fixed: jfif photo uploads don't work #1984
* [B] PHP rename function doesn't copy folders recursively across separated… #1987
* [B] aasure instance of logged-in user before using its guid #1988
* [B] Non friend may able to add like & comment to friend photo only [huntr.dev] #1979
* [E] Disallow to upload empty files and improve files function #1976
* [E] Check if profile and cover posted on newsfeed as public #1991
* [E] show deactivated privacy label on group wall with opacity 0.5 #1993
* [B] Unset properties on Group update #1994
* [E] Allow to use metatags in head #1996
* [B] Close group post is accessible when not loggedin #1997
* [E] removal of unused function #2003
* [B] Notification type like:post:group:wall participants supress #2002
* [E] Removal of duplicate dLabel ids #2001
* [E] Fontawesome 5 migration #2000
* [E] exif_read_data only for jpeg #1999
* [E] Load ossn notifications only when loggedin #1998
* [E] Improve the comment add #1990
* [E] Inefficient table design and query #1864
* [E] Blocked user showing in search and people can add friends #2008
* [E] Strip comments for blocked users, for each of them #2009

OSSN - OPEN SOURCE SOCIAL NETWORK v5.6
* [B] prevent creating of new records if setting value is 0 #1815
* [E] Integrate BanUser inside wall loading #1817
* [B] OssnChat offset didn't work #1832
* [E] Callback for cache create #1834
* [E] allow a message instance in 'messages', 'message:smilify' hook #1829
* [B] Wrong Notifications because of 'notification:participants' #1822
* [B] delete annotation should have default parameter id 0 #1819
* [E] placeholder for input/dropdown #1813
* [B] issue with account setting profile tabs #1812
* [E] phpmailer updated to 6.x
* [B] Get correct fileguid instead of metadata id #1835
* [E] New lines didn't appears on post/view/.. #1821 (fixed v5.5)
* [E] Stop user sending message to himself #1836
* [E] we should get rid of hardcoded styles #1816

OSSN - OPEN SOURCE SOCIAL NETWORK v5.5
* [B] Messages above 10 are not being deleted #1807
* [E] Add hook to modify message printing 
* [B] Messages new lines showing \n #1808
* [E] Add more support for components in block #1810
* [B] Revert code added in wall during push #1809
* [B] Fix utf8 issue with messages german translation #1811

OSSN - OPEN SOURCE SOCIAL NETWORK V5.4
* [B] Fix bug for new posts not showing.
* [B] Fix bug with 5.3 upgrade
* [B] Fix notification loading box not showing.
* [B] Messages loading taking time.
* [B] If RealTimeComments is enabled your new comment appears twice.
* [B] Unable to edit posts.

OSSN - OPEN SOURCE SOCIAL NETWORK V5.3
* [B] notification, add callback isn't working #1634 (already patched Ossn v5.2 LTS).
* [E] adaption to enhanced upload function #1641
* [E] enhanced upload function #1640
* [E] added error messages for component upload #1642
* [B] Like deleted callback triggered even if there is no likes #1643
* [B] No callback triggered for OssnComments::commentsDeleteAll #1644
* [B] comment is added if the post/entity has been deleted already #1645
* [E] make the label arg assigned to any label of user/field #1646
* [B] display ads on pages with offset > 1
* [B] Dynamic genders select busting the memory #1669
* [B] PHP 7.4 pseudo_bytes throws warning | migration from bow-fish #1673 (already patched Ossn v5.2 LTS).
* [B] Entities add results in wrong last_id #1668
* [E] Stop UserA to send messages to UserB if he blocked UserB #1676
* [B] wrong 3rd parm in ossn.lib.route line 93 #1649
* [B] 2 typos fixed in setLogin() #1678
* [B] suppress warning if site has no non_required fields #1672
* [E] include locales of themes
* [B] fix for issue triggered by RemoveGender component #1671
* [B] added 'message was deleted' #1665
* [E] prevent installation path from being cached #1664
* [B] prevent submitting of wallpost when pressing Enter in location input
* [B] AutoPagination didnt set any URL query to next request #1682
* [B] prevent crash on deleting comment when Notifications are disabled
* [B] getting orphan like records from comments when deleting a post #1687
* [E] Disable OssnChat automatically if OssnMesssges are disabled
* [E] remove "message" button on profile if OssnMessages are disabled
* [B] Japanese language files including BOM #1684
* [E] prevent comment-menu from disappearing if Likes are disabled #1691
* [B] comments add and list guids mixed with object and entities guids #1693
* [B] prevent changing of video urls from https to http #1695
* [B] Wall:getPublicPosts shows wrong posts #1715
* [E] include bootstrap css with TinyMCE init
* [E] Allow to edit album name and privacy #1720
* [E] Group wall post should show group privacy as wall privacy icon #1721
* [E] Merge profile menu from GreenByGreen theme #1718
* [E] add option to update relation #1692
* [B] strangeness of class extending in input modules #1635
* [E] callbacks for items before being deleted #1630
* [E] Improve Error Reporting #1722
* [E] improve OssnThemes->upload() #1694
* [E] feature request for a more flexible theme handling #1623
* [E] check availability of CURL before checking mod_rewrite #1723
* [E] Remove unsupported videos from embed #1724
* [B] case insensitive emails and username issues during login or signup #1726
* [B] Delete message button doesn't work if posted same time #1743
* [E] Default profile picture #1647
* [E] Add friends automatically when user joined using invitation email #1744
* [E] Hide a success message when post is added #1745
* [E] delete 'upload image' wall entries automatically if pic is deleted #1667
* [B] Removed unnecessary high z-index from love and like emoji
* [E] Improve Site Settings #1747
* [E] Allow to override page handler existing pages #1746
* [E] Add option to change logos from administrator panel #1748
* [E] Add a callback for Group::sendRequest #1754
* [E] improve installer to check accessability of directories #1749
* [B] don't display a tab of a friend who deleted his account
* [E] allow exact addressing of edited post nodes #1764
* [E] allow exact addressing of edited comment nodes #1765
* [E] pass comment guid to embed action #1766
* [E] make all-comments link work #1772
* [E] adapt requirements table to components #1779
* [B] stop like emojis from overlapping topbar #1778
* [E] adapt requirements table to component requirements table #1780
* [E] Allow to delete a message entry from specific side #1801

OSSN - OPEN SOURCE SOCIAL NETWORK V5.2 
* Several fixes for handling of cover images #1488
* Added general support for dragging images #1489
* Add unique identifier for group cover repositioning #1490
* Several fixes for group cover repositioning #1491
* Add unique identifier for profile cover repositioning #1492
* Several fixes for profile cover repositioning #1493
* if not algo specified when user edit md5 is used #1503
* Deleting user didn't delete users wall posts if wall poster_guid is not same user as deleted #1505
* Don't lose searchstrings containing utf-8 chars #1496
* Post on edit not returning JSON type callback #1506
* ossn_string_encrypt_key_cycled should not generate more than 56 bytes #1508
* Allow to use wheres clause in searchNotification #1510
* Notification for tagging friend in wall isn't working #1511
* added option to display explicit time to ossn_user_friendly_time #1517
* Fixed the cirtical bug #1521 (discoverd by Tuomas Venhola in the infosec world, thanks to him!).
* OSSN GROUPS Component: group cover image on mobiles/tablets is not responsive #1520
* Make cover minimum width to container width #1523
* Broken messages view layout #1518
* OssnMessages->deleteUser() leaves orphan entity records #1516
* Optimize Pre-loader https://www.opensource-socialnetwork.org/component/view/3657/optimize-pre-loader
* UI improvements #1524
* Add animation for uploading group/profile cover. #1527
* Reactions has been added to posts and comments.
* Uploading new group cover, it keeps the old cover file only. #1528
* Notification sent to wrong User #1530 [Thanks to Johannes https://www.opensource-socialnetwork.org/u/Yasu79 for helping to debug the issue]
* Added new hook 'notification:participants' #1531
* Added 2 hooks to prevent creation of participants notification records #1532
* Added 2 hooks to change a quality of image saved/created 'ossn', 'image:save:quality' and ossn', 'image:resize:quality'
* Added style 'for newsfeed-middle-top' div #1535
* Display right sidebar content above newsfeed on mobile devices #1534
* Provide indentical style for all submenu items of left sidebar #1533
* Added Greek language thanks to Rafail (https://www.opensource-socialnetwork.org/u/RafailStratiotis)
* Added 'Close notification windows by clicking anywhere' strings #15xx
* Added Esperanto language, thanks to Johannes Genberg (https://www.opensource-socialnetwork.org/u/Yasu79)
* Decreased size of emojiis in selector box #1614
* Added right extra margin to rightmost chat window #1615
* Add a way of dynamic gender reporting in admin dashboard thanks to Shylo Hana for providing enhancement (https://www.opensource-socialnetwork.org/u/shylo)
* Make saved drag position available for scaling calculation #1617
* Improved scaling of group / profile cover images on mobile devices #1619
* Don't display cover images before scale/dragposition is known #1618
* Force newly uploaded cover images to 'display:inline' #1621
* Use same cover uploading animation as with profile cover #1622
* Fix double-backslash display error after editing #1627

 - Special Thanks to Z-Man for v5.2 release as he fixed 90% of issues!

OSSN - OPEN SOURCE SOCIAL NETWORK V5.1 
* Fix bug if 'reposition' was clicked, but image not dragged #1415
* Make left/right cover repositioning work in groups #1414
* Prevent echoing of invalid cover image style #1413
* Removed wrong attribute from textarea tag #1418
* Display the version of a required component #1425
* Pictures slightly overlapping right border #1423
* Getting orphan like records on annotation bulk delete #1419
* Added support for textareas #1417
* Added 'Group About' and 'Requests' tab to group menu #1433
* Display 'Group About' page on mobile devices #1430
* Allow to set searchObject result params #1436
* Fixed wrong logic sequence #1437
* Hide Group page right sidebar on mobile devices #1432
* Allow newlines for simple formatting #1431
* Fix alignment of group name with other menu entries #1429
* Long Links in ad description distort the UI #1456
* ossn_delete_notification typo #1453
* allow others passwords encryption algos #1457 (default is set to bcrypt)
* Allow changing of group owner #1468
* Make entire area of section submenu clickable #1461
* Return existing object unconditionally (= independant of current page… #1455
* Don't remove query from search menu if it includes a whitepace #1454
* Prevent overwriting of already installed themes #1449
* Prevent overwriting of already installed components #1448
* Suppress php warning on entering a group you're not a member of #1446
* Fix WYSIWYG issues of edited post #1469
* Blocked user should be removed from friend list #1439
* Confirmed friendship needs to be based on the existance of a '1 to 2' AND a '2 to 1' relation #1442
* #1230 breaks when array is input #1474
* Shows a red warning if can not validate email address #1481
* Posts having friends privacy are visible to public using direct URL #1484
* Allow the use of both to/from in ossn_get_relationships
* Fixed hardcoded photos of user widget title #1482
* If not set section menu name #1479
* Add ossn-notification box or the ajax box and loading icon in admin css #1478
* issues with ossn-viewer-comments #1411
* Completed sanitizing in case a user of post has been deleted #1483
* Support animated gif photos #1473 (use the provided component)
* Optimize images #1487
* Add wheres, in get_relationships #1475
* Overwriting of php's default settings by Ossn not working on some servers #965
* 
OSSN - OPEN SOURCE SOCIAL NETWORK v5.0 LTS

* Add missing <a> tag in notifications view #1233
* Add class identifier for each wall item #1237
* OssnNotifications improvement #1231
* php mcrypt is deprecated in php 7.1 and removed in 7.2 #1240
* Restrict empty name in group on update #1276 (Malik https://github.com/Lablnet)
* Allow a bit flexibility in overriding the pagination
  - Can set the name for offset arg : example default is ?offset=x you can set ?custom_offset=x
  - Set URL before ?offset=x
* Optimized the OssnMessages,  its load more faster now. #1277
* Load only 10 messages in notification area and allow to view more by auto pagination. Fixes #1388 to #1397, #1377, #1382 
* Support php 5.6 or larger remove support for < 5.6 #1287
* When groupsub page isn't valid show the default page instead #1309
* ossn.lib.entities.php seems to be not updated #1248 (https://github.com/dalilo2010)
* Add hook to setup the password length #1317
* load fetch query after count condition #1316
* Load session start after classes #1318
* Restrict calling system start file directly from browser #1315
* Some Iphone devices unable to post #1295
* Cache the locale files #1321
* ossn_default_load_locales is called twice first in initialzie and second in components class.
* add visibility of admin postings to friends-only wall? #1294
* Allow the cache tag for the images #1314
* Trigger callback upon component deletion, enable, installation #1111
* Change the privacy button as per the privacy value #1289
* Allow wheres clause to search entities.
* Allow to add multiple images to album #1329.
* Add the new photos added to wall on newsfeed page #1329. 
   - The privacy of post will be same as privacy of the album.
* disable autocomplete for passwords #1330
* Allow to delete message that user own #1332
* Enable cache after installation complete! #1338
* Comments without text/image only can't be edited #1336
* Fix html validation error because of unallowed child element #1343
* Allow birth year starts from 1900 #1344
* Removed explicit script type specification #1341
* Language setting added to html tag #1342
* Warnings when disabling/enabling a component #1346
* Issues when visiting administrator/unvalidated_users #1355
* Make message text appear in line with fa-reply icon #1380
* Don't let camera icon appear on top of open notification window #1379
* Don't let smiley icon appear on top of open notification window #1378
* Handle message_from and message_to correctly #1377
* Use same version requirement logic as with components #1371
* Don't throw js error if sound is switched off #1391
* Handle error cases correctly for wallposts #1400
* Allow new posts with just digit "0" #1399
* Keep bell on top of friendlist if ordering of friends changes #1403
* Allow just sending '0' in messages #1405
* OssnAds is calling pagination w/o count and page_limit #1406
* Ads->getAds() needs a randomize = true or false parameter #1407
* Pagination logic adapted to #1409 fix #1410
* Fixed issues on chrome mobile #1409
* Make it work with async pagination and fast scrolling #1408

Many thanks to ZetMan/githubertus https://github.com/githubertus https://www.opensource-socialnetwork.org/u/zetman
Due to his efforts we have completed the v5.0 version.  He have identified and fixed almost all the issues list on this page. 

OSSN - OPEN SOURCE SOCIAL NETWORK v4.6

* input() didn't accept 0 as input and treat it as empty #1230 
   Fixed only the inout,  the issue may still have effect in various places and will be fixed in v5.0
* Emojii panel appears on bottom of page if you logout and cache is enabled. #1232

OSSN - OPEN SOURCE SOCIAL NETWORK v4.5

* (refactoring) add missing id #C2430
* Fix system error caused by non breaking spaces #1128
* Show confirmation before deleting groups #1133
* Allow to change the params for query for searching object, annotation, entities #1140
* Group by should be supported in OssnObject, Annotations, Entities #1139
* (OssnDatabase): group_by should be before order_by #1138
* OssnPhotos still exists when user delete #1142
* m.youtube.com not being parsed by embed component #1132
* Clicking close in system messages should close it complete #1137
* If user didn't exists not wall item #1110
* Broken wall posts upon deleting user #1129
* URL being passed as text in CHAT #1068
* Missing mcrypt module causes installation crash #941
* Added 'order_by' parm to ossn_get_relationships() #1148
* Added 'order_by' parm added to getFriends() #1147
* (OssnPoke): `OssnDatabaseException: Incorrect integer value #1151
* display online friends on top friends list #1154
* Added 3 hooks for easier configurable placement of ads #1165 - #1168
* Disable the input field for website url upon installation #1174
* Display online friends on top of friends list #1178
* Make toolbar button-row responsive #1180
* Making more icons available for usage in sidebar, etc. #1183
* No sound in case OssnMessages is disabled/not available #1186
* Logging out reloads newsfeed/main wall #1153
* Fixes slashes within the wall post #1216
* Handling of components with too long ids #1152
* Allow External On Redirect Function #1150
* Emoticon window/modal stays open after "post" #1173
* Expression of SELECT list is not in GROUP BY clause and contains nonaggregated column #1218
* Auto Save default notification email (noreply@host) to avoid users to enter their personal emails.
* Cover smaller then required size still sent to upload #1219

Thanks to Zet Man <https://www.opensource-socialnetwork.org/u/zetman> for his efforts and hard working for v4.5

OSSN - OPEN SOURCE SOCIAL NETWORK 4.4

* Embedded videos didn't show up in post #997
* Avoid the multiple db connections #1001
* Trim function used with uninitalized var #1010
* Make friend_picker list friends according to input #1011
    - tagging input is matched with friend's first_name now
    - first typed in char will be matched upper and lower case
    - asterisk * may be used as wildcard to show complete friend' list when typed in as first char
* Enable admin to delete any member's comment #1028
* Sidebar menu item takes to top of page #1029
* Private posts becoming disclosed on still unconfirmed friend requests #1039
* Location autocomplete not working over https #1043
* Trigger a callback on object, entity, annotation creation #1042
* Gallery view is added for photos.
* Walltag friend notification not working #1021
* Add support for emoji #1049
* Use of btn-link with btn in post-menu #1050
* Re-initializing of token input for friend tagging #1015
* Add Emoji for comments refactoring the #1049 
* Correct filesize of both original and resized image in header #1058 #1057
* Code of comment picture preview ignores EXIF header #1056
* Ad should open in new tab #1013
* Fix orphan notification records when un-liking #1079

OSSN - OPEN SOURCE SOCIAL NETWORK 4.3.1

* Comments broken on profile cover
* Security fixes 

OSSN - OPEN SOURCE SOCIAL NETWORK 4.3

* OSSN v4.x partially upgraded to v4.2
* wall/view didn't escape new lines #920
* Components:getSettings shows wrong value #936
* Ossnphotos get cover type 1 not working #943
* OssnGroups : Incorrect integer value: '' for column 'item_guid' #942
* Refused to execute script from because strict mime type chorme #944
* Comments attachment image not responsive #938
* Remove spaces from the input #948
* Photos posted from phone get rotated #918
* Add class name for dynamic menu items #934
* Add hook to override the ossn input #928
* Redirect User to login page if session expired from home page #929
* Add mod_rewrite prerequisite skip param. #927
* Sidebar (menu) design improvements.
* Profile cover comment and likes notification not appears #945
* Site newsfeed (wall) becomes unusable if OssnLikes component is disabled #955
* HTML(divs) must not be nested in paragraphs #962
* Unused param removed from isUsername() check #969
* Allow to use db ports in hostname #970 Thanks to @rodrigodemacedo  <https://github.com/rodrigodemacedo>
* Show errors to admins if enabled (not to visitors) #961
* Delete unused files #956
* Postings and comments with same behaviour #924
* Create link in nav to list all groups #990

OSSN - OPEN SOURCE SOCIAL NETWORK 4.2 

* Profile/cover photos upload are not responsive #888
* Word break on comments #895
* Almost improved x10 DB performance.
* (ajax didn't work) when delete newly created post #899
* Switch statements may only contain one default clause in OssnSitePages #897
* OssnInvites send duplicate emails #903
* Remove google map search API as it requires API #906
* OssnComponents: getbyName shows wrong data #910
* OssnDatabaseException' with message 'Incorrect integer value #904
* Add callback form relationship add #911
* ossn_load_json_locales failed on some language files #912
* Add a check whether datepicker strings available in locale (#836) #885
* Ossn notification for messages not working #913

OSSN - OPEN SOURCE SOCIAL NETWORK 4.1 

* Support Vimeo without flash #831
* New strings for datepicker localization #835
* Fixes comments vanishing issue #837
* Stop offset calculation under unset conditons #841
* If not explicitely set, set page_limit to false #842
* Allow regular members to delete their own groups #844
* Allow admins to remove members from any group #852
* Give admin access to all settings/joinrequests pages #851
* Allow admins to edit settings of any group #850
* Allow admins to decline membership in any group #849
* Allow admins to approve members in any group #848
* Allow admins to reposition covers in any group #847
* Allow admins to upload covers in any group #846
* Allow admins to access group owner elements #845
* Don't call isMember() if no group found #853
* Pass membership to wall\templates\wall\group\item #854
* Return group update state correctly #856
* Make search users and objects faster #863
* Can not edit comments #877
* Incorrect Hyphenation in the theme GoBlue 3.0 #824
* Wall item image inline block to block #866
* Add a confirm message on album delete #870
* Show all comments on profile/cover/view #871
* v4.x newsfeed page slow due to join and order_by #863



OSSN - OPEN SOURCE SOCIAL NETWORK 4.0 RC 2

CHANGES:

* Entities of type 'changed profile/cover' should be made uneditable #672
* Smiley borders #668
* Inverted post order on timeline #666
* Cover update message mixup with profilepic
* Foto update message mixup with coverpic
* Double height header with longer sitenames #655
* Right alignment of group memberlist #658
* Commenting pic followed by text gives warnings #664
* Annoying procedure on pressing just [Enter] without any input #651 
* Group description dragging out of bounds #660
* Selecting a CLOSED group like MYSITE/group/123/ gives warning #663
* Current chat emoticons have no transparency #649
* Old style icons on search result type #643
* Orphan notification after posting/comment has been deleted #609
* Different size of owner link on posting/comment #676
* Achieve better control on footer menu link array order #675

--

* ossn-ad-image missing class #704
* Add description enlarging #703

OSSN - OPEN SOURCE SOCIAL NETWORK 4.0 RC

CHANGES:

* Questionable behavior on too small profile cover #638
* Oinitial crashing if OssnComments module is disabled #645
* Notifications crashing if OssnMessages module is disabled #646
* Make post text and tagged friends inline.
* Datepicker display glitch on administrator/edituser #637
* Member name overlapping user icon on viewport < 1200px (on search result list) #642
* Group(-owner) name overlapping group icon on viewport < 1200px #644
* Comment field overlapping user icon on viewport < 1200px #640
* Latest chat message almost completely hidden #648
* getFriendsPosts missing access index.
* Show only a user posts on homepage.

OSSN - OPEN SOURCE SOCIAL NETWORK 4.0b3

BUGFIXES:

* Fix entity likes view.

OSSN - OPEN SOURCE SOCIAL NETWORK 4.0b1

BUGFIXES:

* Getting entity is failed #DEV-33
* Fix creating default object from empty value for user object
* Theme(Oinitial) still marked to require 3.0 in xml #DEV-36
* Fix language stings when for unblocking user.
* Hide notification box when we open topbar dropwn menu #617
* Hide groups cover buttons on mobile.
* Reposition/Change Cover buttons on top of notification #622
* Admin profiles should be unblockable by 'normal' members #625
* Delete groups.php.rej
* Need to clear file path after uploading the file #626
* Pagination offset should be better protected #627
* Loosing typed in data when clicking Terms and Conditions link #620
* Overlapping issue with longer names on profile page #630
* Unused pagebar skeleton when ads are disabled #628
* Pictures in single view are drifting rightwards out of place #629

Enhancements:



OSSN - OPEN SOURCE SOCIAL NETWORK 4.0b

Bugfixes:

* Trigger callback ('comment', 'load') only if user is loggedin $arsalanshah
* Allow standalone image post in wall #611
* Deleting the current profile pic/cover doesn't update icon_time #59
* Missing back button to photos #570
* Cover photo dimensions restriction #93
* When getting user/object/annotation its entities are limited to 10, removed limit.
* Flash player for video on mobile #D-13 #614
* A message recieve issue on OssnChat.

Optimization:

* Load google maps, token input and tinymce only where its required.
* OssnUser::isFriend, reduce queries to one query.
* OssnUser::getFriends, reduce queries.
* Cache images for ads & comments #604
* Make search page load faster for group and user search.
* Remove unused code from admin dashboard.
* Improved OssnUser::Methods
* Imprvoed OssnObject::Methods
* Improved OssnAnnotation::Methods
* Improved OssnEntities::Methods
* Update in fields on signup.
* Update birthdate input with dateinput.

New Functions/Methods:

* ossn_relation_exists([args])
* ossn_get_relationships([args])
* ossn_delete_relationship_by_id([args])
* ossn_delete_relationship([args])
* ossn_dump([args])
* OssnFile::getFile
* OssnFile::getPath
* OssnFile::isFile
  .. 
  See github commits for more information.

Enhancement:

* Brand new responsive theme.
* Ossn message box, user who liked comment #554
* Allow users to edit comments.
* Allow users to edit posts.

New language strings:

* comment:edit:success
* comment:edit:failed
* ossn:wall:post:saved
* ossn:wall:post:save:error


Developers:

* Arsalan Shah	[TEAM LEADER]	- https://www.opensource-socialnetwork.org/u/arsalanshah
* Zet Man 	[CORE TEAM] 	- https://www.opensource-socialnetwork.org/u/zetman
* Eric F. 	[CORE TEAM] 	- https://www.opensource-socialnetwork.org/u/ctlui
* Sathish Kumar S 	[CORE TEAM] 	- https://www.opensource-socialnetwork.org/u/sathish4fri


OSSN - OPEN SOURCE SOCIAL NETWORK 3.9

Bugfixes:

* View all comments link missing on direct photo view #591
* Poster image display problem with profile pics < 32 x 32 #595
* Deleting the current profile pic/cover doesn't update cache #590 [Fixed for profile pictrued, in progress with cover photo]
* Show latest comments instead of oldest comments #603
* Post owner can not delete others comments #607
* Make 'notifications/all' page work again #610

General:

* Refactoring the ossn_view_widget function

Developers:

* Arsalan Shah	[TEAM LEADER]	- https://www.opensource-socialnetwork.org/u/arsalanshah
* Zet Man 	[CORE TEAM] 	- https://www.opensource-socialnetwork.org/u/zetman
* Eric F. 	[CORE TEAM] 	- https://www.opensource-socialnetwork.org/u/ctlui


OSSN - OPEN SOURCE SOCIAL NETWORK 3.8

Bugfixes:

* Don't load notification and chat boot api when user is not loggedin.
* Disallow version check request to non-loggedin users #565
* Wall, tag a friend , GUID issue #566
* Hardcoded paths in theme's css #563
* Problem with group comments showing up via notification link #559
* Change profile icon urls #537
* Fix typo in link href javascript #536
* Problem of characters lenght on the instant messenger #520
* Admin Dashboard users graphic appear in January #557
* OssnWall friends settings,  didn't shows pagination #555
* ossn_get_userdata($this->dir) results in wrong path #582
* OssnChat css fixes typo #583
* Tag post with a friend, doesn't show in friend's notification #589

General:
 * Move notification topbar to plugin views.
 * Remove direct call to external component class.
 * Remove invalid old files form ossnblack theme.
 * All the menus are now sorted to alphabetically.
 
Enhancements: 
 * Add a tagging friend option to users wall #567
 * Add topbar static menu to dynamic #541
 
OSSN - OPEN SOURCE SOCIAL NETWORK 3.7 Minor fix

Bugfixes:

* Unable to delete user.
* Update non-object iconURL() on OssnLikes/ossn_com.php 156

OSSN - OPEN SOURCE SOCIAL NETWORK 3.6

Bugfixes:

* Message Inbox section - layout error #542
* Poke translation issue #543
* Css(class): ossn-profile-wall shouldn't have fixed hight #545
* Profile edit form shows wrong default language #546
* Change uppercase admin tobbar right menu.
* There is issue in chat window layout firefox #548
* Add limit and page_limit false while deleting annotations by owner guid.
* XSS Security fix, with OssnPagination class, thanks to Curesec.com
* Delete component settings upon its deletion #538
* Fix typo in link href javascript #536


OSSN - OPEN SOURCE SOCIAL NETWORK 3.4-3.5

Bugfixes:

* Hook for changing plugin type isn't working.
* One uneeded redirection when login #516
* Remove chart legend code form chart.min.js #517
* Photos limit issue, only 10 displays #523
* Youtube https in ossnembed.lib.php #519
* Translation for gender in dashboard users & users online #511
* Remove a duplicate callback from groups initialize function.
* Profile/cover like or comment notification view redirect to 404 page.
* Comment menu shows 0, 1 instead of delete


Enhancement:

* Added new hook 'plugin, view:type'.
* Remove hook 'plugins, type'.
* Move system/default to system/plugins/default
* Open link in new tab #518
* Default order for entities , objects, annotations must be by their primary id.
* Delete users messages if user is deleted #522
* Add a wall 'postextra' menu.
* When click on comment link focus on comment box.
* Add a new function in menu library.

OSSN - OPEN SOURCE SOCIAL NETWORK 3.3

Bugfixes:

* When installing components it show success for lower version #510
* Fresh installation of v3.2 still shows old version, v3.0, Reported by Softaculous Team.
* Improve component installer language strings.


OSSN - OPEN SOURCE SOCIAL NETWORK 3.2

Bugfixes:

* Ossn v3.0 components versions compatibility issue on v3.x
* Fix typo in language strings.

Thanks to David Orwig for reporting issues https://www.opensource-socialnetwork.org/u/David111567

OSSN - OPEN SOURCE SOCIAL NETWORK 3.1

Bugfixes:

* Site pages didn't updating pages #482
* Privacy option is empty #481
* Fix old views paths to new plugin paths #483
* Ossn notification 'mark as read' missing translation #484
* Security fix : if user is deleted logout from his session.
* Can't install v3 on host having port #485
* Blank post when have a tabulation in text #494
* HTTP external css in themes with HTTPS site #495
* Home link in main site and admin top bar #499
* Security fix: FollowSymlinks does not protect against malicious links into other domain's directories, 
  use +SymLinksIfOwnerMatch. (reported by https://github.com/hazyapps)  #507 
* View all comments shows 10 comments only.

OSSN - OPEN SOURCE SOCIAL NETWORK 3.01

Bugfixes:

* Exception 'OssnDatabaseException' with message 'Column 'id' in order clause is ambiguous

OSSN - OPEN SOURCE SOCIAL NETWORK 3.0

Changes from 3.0 development till stable version:

Bugfixes:

 * Can not delete profile cover #427.
 * Don't listup all users if search query is empty.
 * Mod_rewrite issue, generate a .htaccess file before installation #432.
 * Redirect website to absolute url, no more ajax errors #458
 * Flush cache didn't flush the plugins path #460.
 * Show a confirmation message before delete component #444.
 * Ossn system messages css issue on front end #443.
 * Show a loading icon on registration submit #464.
 * During registration even if gender is selected its marked unselected #465.
 * Cancel friendship' button colliding with user name #279.
 * Ossnblack theme can't read registration message #304.
 * PHP Fatal error:  Call to a member function isOnline() on a non-object classes/OssnChat.php on line 146.
 * PHP WARNING: "Division by zero" in file OssnObject.php (line 276).
 * Component installer problems with certain zip - archives #420.
 * Chat linefeed problem #278.
 * Notifications for group comments #435.
 * There is no need to add notification if no hook is present.
 * Unwanted refresh in message window #416.
 * [OSSN 3.x] OssnEmbed in settings #466.
 * CSS: Pagination with more than 10 users #468.
 * Ossnblack theme white page issue #469.
 * [OSSN 3.x] Bug double post if 1 or 2 white line after the text in a post #471.
 * Add compressed version of jquery.
 * Remove JS files that was part of BuddyexpressDesk repository.

Additions:
	
 * Implementd plugins for components.
 * Browser css cache issue.
 * Store profile image in computer cache.
 * Store profile cover in computer cache.
 * Store photos on wall into cache.
 * Store group cover into cache.
 * Get object that are requried only (offset).
 * Get entities that are required only (offset).
 * Get annotation that are required only (offset).
 * Allow users to login with email also.
 * Allow admins to search unvalidated users.
 * New backend theme.
 * Add time_created in users table.
 * We need to accept values in array() in setComSETTINGS #434.
 * Feature request: multilanguage themes #281.
 * New js function Ossn.trigger_message.
 * Make actions valid for xhr, there is no need to use json_encode for simple actions.
 * 3 state logic for notifications #202.
 * Ossn Wall ajax post.
 * Allow duplicate group names? #112.
 * Match file during upload #402.
 * Only show stable_version in available updates.
 * Show a loading icon before send message.
 * Move 'Send' button 10px top bottom
 * Addition of PHP ZipArchive and allow_url_fopen check during installation.
 * New non-core component: https://github.com/opensource-socialnetwork/SMTP
 * Lift a installation limitation for php 5.6.
 * Allow users to change their default language.
 * Allow group owner to delete group.
 * Add 'Are you sure?' exception in js.core
 * Move pages to system/plugins/default


OSSN - OPEN SOURCE SOCIAL NETWORK 2.3
Bugfixes:
 * Add missing update files in processed updated for fresh instalaltion.
 * Switching between search results doesn't work #288
 * Don't allow to send empty chat messages.
 * New lines in wallpost not working #404
 
OSSN - OPEN SOURCE SOCIAL NETWORK 2.2

Bugfixes:
 * Unable to upgrade column 'e.permission' didn't exist.
   Now database exception is disabled during upgrade.
 * Added missing author url in ossn_com.xml file

OSSN - OPEN SOURCE SOCIAL NETWORK 2.0

Bugfixes:
 * Update php version in installation language strings.
 * Add break-word css in wall post text.
 * Accept html characters also and encode them in chat and 
 * Fix PHP prerequisite installation messages.
 * Post view page didn't displays all comments.
 * Show smilies in comments.
 * Add hook for comments template view parameters
 * Make links in comments clickable #341
 * component installer is not working #394
 
Performance:
 * Reduce 2 queries used in get entities into 1 query.
 
Components:
 * OssnSmilies Component has been added.

OSSN - OPEN SOURCE SOCIAL NETWORK 2.0-dev
 
Bugfixes:

 * If admin edit user it didn't updated in system #117 
 * Leave group button problem #111 $dev.githubertus, 
 * In backend user list 'last_login' time is invalid.
 * Rearrange code ossnwall privacy button #119  
 * Error reporting not working out of the box #120 
 * Wrong backlinks from user albums and photos #126  
 * Fixed width of post button may lead to problem in other languages #123
 * Total themes count fixed in admin dashboard #136 
 * Redirect back to album after deleting photo #131
 * Content of public group is not visible to users #113
 * Allow to users to view members of groups #160
 * Wall post view: Missing image in comment-item #161
 * Group members total count becomes 0 when group cover is set #156
 * Admin dashboard online user count shows 1.
 * Long comments overwriting camera icon #164
 * Long lines exceeding post window boundaries #243
 * Site admins are unable to access member profile threads without friendship #176
 * Carriage return/newline handling in messages not satisfying #150
 * Links on footer only partly accessable when logged in #203
 * Could not access your domain. Please make sure your domain is pointing to this server and there is no .htaccess file restricing access to your domain (Softaculous Installer)
   (Cause SetEnv module not avaialble this check has been removed in v2.0 and Ossn handle this check in different way) 
 * OssnAds ad adding page , description add space in start.

Api Additions:

Functions in existing libraries and classes:
 PHP :

  * ossn_unlink_new_js: Remove a js from system. This will not remove js file it will just unregister it.
  * ossn_unload_js: Ossn system unloads js from head.
  * ossn_unlink_new_css: Remove a css from system. This will not remove css file it will just unregister it.
  * ossn_unload_css: Ossn system unloads css from head
  * ossn_plugin_view View a template. Use a templates from core. (image view, url view etc).
  * ossn_load_json_locales: To get all system language strings in json format.
  * ossn_add_entity: add a new entity.
  * ossn_update_entity: update entity.
 
 JAVASCRIPT:
  
 * Ossn.AddTokenToUrl : Add action token to url
 * Ossn.ParseUrl: Parse a URL into its parts.
 * Ossn.ParseStr: Returns an object with key/values of the parsed query string. 
 * Ossn.Print : To print language string

Classes: 

 * OssnDatabaseException  
 * OssnSiteException 
 * OssnUser
 * OssnBase
 * OssnDatabase

Libraries:

 * ossn.lib.annotations
 * ossn.lib.objects
 * ossn.lib.entities
 * ossn.lib.securitytoken
 * ossn.lib.languages
 * ossn.lib.system
 * ossn.lib.components

General: 

 * Excption handler added.
 * JS(Ossn.PostRequest) Action token are now added automatically.
 * JS(Ossn.ajaxRequest) Action token are not added automatically as its mostly used for forms and forms already have token.

 * Templates are added.
       * output/url
       * input/security_token
 * Jquery for backend added
 * Core js for backend added.
 * Requires PHP 5.4 
 * Count notification from get notifications.
 * Add a wall post for new profile picture. 
 * ossn_site_url set 2nd arg true if its action
 * Now no need to add admin/site in trigger message.
 * OssnFile now support others file upload.
 * Display error if file size exceed.
 * Display file upload error.
 * Add site notification email settings.
 * Resend validation email if non-validated user try to login and show message.
 * Show a notification to group owner if new member join group #191
 * Display tinymce menu according to Ossn language #242
 * German Language Included.
 * There is no need to edit core files to register langauages its now automatically registered if language is available.
Language Strings Addition:
 * Added OssnWall settings to select homepage posts (friends/public)
 * Show a new cover wall post in newsfeed.
 * Allow user to view his covers.
 * Allow user to delete his profile covers.
 * Group admins are unable to delete member posting on group wall #171
 * Group admins must be able to delete ANY comment in their own group #170
 * Entity owner and post owner should able to delete others comments from post.
 * List of unvalidated users page added.
 * Allow admins to validate users manually from unvalidate users page.
 * Change the way of Ossn upgrade.
 * Add new component OssnInvite.
 * Add new component OssnEmbed (Convert videos website url to player #105)
 * Add ossn ad view admin page #233
Language strings added:
There are many new language strings added, few of them are:

locale / 
  
  * ossn:exception:title 
  * ossn:securitytoken:failed
  * ossn:component:delete:exception
  * title:access1
  * title:access2
  * title:access3
  * upload:file:error:ini_size
  * upload:file:error:form_size
  * upload:file:error:partia
  * upload:file:error:no_file
  * upload:file:error:no_tmp_dir
  * upload:file:error:cant_write
  * upload:file:error:extension
  * upload:file:error:unknown
  * ossn:post:size:exceed
  * admin:components
  * admin:themes
  * admin:com:installer
  * admin:theme:installer
  * admin:cache:settings
  * admin:add:user
  * admin:user:list
  * admin:edit:user
  * admin:login
  * admin:notification:email
  * ossn:user:validation:resend

installation/locales
  
  * data:directory:invalid 
  * data:directory:outside 
  * all:files:required 
  * ossn:install:php
  * ossn:install:old:php
  * ossn:install:mysqli
  * ossn:install:mysqli:required
  * ossn:install:apache
  * ossn:install:apache:required
  * ossn:install:modrewrite
  * ossn:install:modrewrite:required
  * ossn:install:curl
  * ossn:install:curl:required
  * ossn:install:gd
  * ossn:install:gd:required
  * ossn:install:config
  * ossn:install:config:error
  * ossn:install:next

components/OssnGroups/locale/
 
  * title:access:private:group

components/OssnProfile/locale/

  * ossn:profile:picture:updated
  
  Developers in this release:

 * $dev.arsalanshah https://github.com/lianglee
 * $dev.githubertus https://github.com/githubertus
 * $dev.sathish https://github.com/sathish4fri
 * jjehannet https://github.com/jjehannet
 * robertito13 https://github.com/robertito13
 * bishopgodsey https://github.com/bishopgodsey
 * TheGameHHH https://github.com/TheGameHHH

OSSN - OPEN SOURCE SOCIAL NETWORK 1.8
Bugfixes
* User edit error email in use.

Github:
* Created .travis.yml for project to track pull requests


OSSN - OPEN SOURCE SOCIAL NETWORK 1.7.2
Bugfixes
* Missing method added.

OSSN - OPEN SOURCE SOCIAL NETWORK 1.7.1

Bugfixes
* Show a message if username is in use.
* Show a message if email is in use.
* Fix deault char set for OssnDatabase.
* Fixed empty wall posting (added ossnwall_json_unencaped_unicode)
* Fix invalid translation in OssnLikes
* Fix method getUser (class OssnUser)

OSSN - OPEN SOURCE SOCIAL NETWORK 1.7

Bugfixes:
* Admin cannot delete ads.
* Admin cannot edit ads.
* Fix error messages type when adding ad.
* Add missing components in core.
* There is no image attach option in entity comments.
* Comment not display if there is no other comments.
* Notification count is not working.
* Fix notification for group post like.
* Allow admin to delete user.
* Fix borken css in ossnchat.
* Added missing component from core.
* 1412353569.php is missing for fresh installation.
* Fixed manifest of OssnComments by @sathish
* Fixed component delete ( it was not working) thanks to @sathish

Api Changes
* getAnnotationsByOwner method added (class OssnAnnotation)
* deleteAnnotationByOwner method added (class OssnAnnotation)
* deleteUser method added (class OssnUser)
* deleteLikesByOwnerGuid method added (calss OssnLikes)
* deleteUserNotifications method added (class OssnNotifications)
* getUserGroupPostsGuids method added. This will return array contaning guids of wall posts created by user in group.
* ossn_delete_user_relations function added (library relations)

OSSN - OPEN SOURCE SOCIAL NETWORK 1.6

Bugfixes:

* Don't let logged out users to comment.
* Don't let logged out users to like anything.
* Fix the margin top of profile cover when logged out.
* Don't show photo viewer when logged out
* Hide add friend, message and other menu from profile when user is logged out.
* Fix major style issues.
* Hide photos delete form non loggedin users.
* Only allow admin and owners to see delete photo link.
* Only upload comment images when user is loggedin.
* Inbox url is borken in messages page.
* OssnChat boot bug fixes.
* Cannot include similes in chat(second time).
* Friends notification never remove counts even if you add friend.
* Fix profile cover postion issue.
* Fix broken style for comment menu item

Api Changes:

* Get Annotations by types Method added.
* Don't log errors to file if errors are off

OSSN - OPEN SOURCE SOCIAL NETWORK 1.5

Bugfixes:

* Cann't delete wall post ( fix width of link )
* Fix unicode issues in wall post.

 Enhancements:

* OssnChat added as core.
* Autorefresh topbar notification.
* Add a new methods for saving and getting component settings

Core changes:

* A new way of gettings php errors on blank page issue

OSSN - OPEN SOURCE SOCIAL NETWORK 1.4

Bugfixes:

* OssnWall access icon class fixes;

 Enhancements:

* ossncomments add ajax likes #52
* Added icon with likes
* Moved post links (like, comment) outside of like_share bar.
* Allow users to delete comments.
* Ajax error box added.
* User can now add image to comments. #53
* Black Theme added
* OssnWall Privacy system is added ( allow users to select privacy) #42
* Allow users to delete photos 
* Errors on/off settings has been added.
* Allows group admins to change their group cover

Core changes:

* Get user icon by OssnUser->iconURL()->size
* Get user profile url by OssnUser->profileUSER();
* Get param from object using object->getParam(param);

CONTRIBUTORS TO THIS RELEASE:

* Syed Arsalan Hussain Shah of Informatikon Techologies (informatikon.com)
* Sathish Kumar of Webbehinds.com
* Johnson John
* Shaf Brady Hussain of hostingandvps.com
* Anthony E. Sikora Informatikon Technologies
* Mike Wagner Informatikon Technologies

OSSN - OPEN SOURCE SOCIAL NETWORK 1.3.1

Bugfixes:

* User post empty wall post
* comment is now displaying likes

OSSN - OPEN SOURCE SOCIAL NETWORK 1.3

Bugfixes:

* Cover update fail on first time upload
* Escaping is adding / to posts #32.
* Search layout contain static ads #28
* Component(ossngroups): group view page layout is broken #30
* Component(ossnnotifications): see all link is broken #27
* Relation type is int instead for text
* add website name in installation form #36
* component(ossngroups): group display owner two times in header #41
* Profile modules title height fixed
* Fix Ads on layout media.
* Notification database time_created time to int(11)
* (ossnmessages)clear form when sending message #38
* Fixed Ossn Modal box title height
* Don't show messages page if there is invalid user
* Cannot search user by full name.
* Cannot cancel group membership request.
* Group  description added on landing page if group is private

 Enhancements:

* Merged profile photos with ossnphotos.
* View notification if someone comment on user photo
* View notification if some like user photo
* Upgrade feature added.
* OssnBlock component added.
* OssnPoke component added

OSSN - OPEN SOURCE SOCIAL NETWORK 1.2

Bugfixes:

* Apache mod_rewrite test fails. 
* User can delete wall post.
* Comments profile links are not working #14
* Groups buttons text missing.
* Messages count on topbar.
* User photos are hidden on notifications #26
* Images are broken on messages page.
* Notification for comments/likes for groups posts missing.
* Invalid link from group member requests page.
* Fixed translation on member request page.
* Add friend button not working #21
* Message button is not working in profile page #18
* Fixed the missing translation from admin panel.
* Shows cache status on cache settings page

Enhancement

* Allow users to post image on user wall.
* Allow members to post image on group wall.
* Otimization

OSSN - OPEN SOURCE SOCIAL NETWORK 1.1

Bugfixes:

* Add groups click event not working #9
* User validation is missing #10
* remove photo viewer if there is not profile photo #3
* Show transparent photo if there is no profile cover #4
* component(ossnphotos): photos is not displaying correctly in albums photos #6
* Installation Issues fixed
* Post image is mission on profile page


Enhancement
* Installation should check all requirments.
* Litespeed server is supported now.
